final int GAME_SPLASHSCREEN = 0;
final int GAME_PLAYING = 1;
final int GAME_OVER = 2;
 
int gameState = GAME_SPLASHSCREEN;
 
PFont headingFont;
PFont textFont;
PFont smallFont;
 
void setup() {
  size(500, 500);
 
  headingFont = createFont("Liberation Mono Bold", 32);
  textFont = createFont("Liberation Mono", 16);
  smallFont = createFont("Liberation Mono", 12);
}
 
void draw() {
  switch (gameState) {
    case GAME_SPLASHSCREEN:
      drawSplashScreen();
      break;
    case GAME_PLAYING:
      drawPlaying();
      break;
    case GAME_OVER:
      drawGameOver();
      break;
  }
}
 
void keyPressed() {  
  switch (gameState) {
    case GAME_SPLASHSCREEN:
      keyPressedSplashScreen();
      break;
    case GAME_OVER:
      keyPressedGameOver();
      break;
    case GAME_PLAYING:
      keyPressedPlaying();
      break;
  }
}

void setState(int newGameState) {
  gameState = newGameState;
  
  switch (gameState) {
    case GAME_SPLASHSCREEN:
      initSplashScreen();
      break;
    case GAME_OVER:
      initGameOver();
      break;
    case GAME_PLAYING:
      initPlaying();
      break;
  }
}
